# getAll

## Purpose

Retrieves an instances of the domain class for the specified ids and returns a list of these instances, ordered by the original ids list. If some of provided ids are null or there are no instances with these ids, then result list will contain null values on corresponding positions.

## Examples

    // get a list which contains Book instances with ids 2, 1, 3 respectively
    def bookList = Book.getAll(2,1,3)
    // can take a list of ids as only argument, extremely useful when ids list calculated in code
    def bookList = Book.getAll([1,2,3])
    // when called without arguments returns list of all objects
    def bookList = Book.getAll()

## Description

Parameters:

- `varargs`* - A variable argument list of ids
- `ids`* - A list of ids